/*******************************************************************************
FILE        : NscUsbIO.h
REVISION    : 1.0
DATE        : 10/18/99

DESCRIPTION :

This module contains custom IOCTL codes recognized by the LM9831 STI user
mode minidriver 

Copyright (c) 1999-2000 - National Semiconductor Ltd - All rights reserved
*******************************************************************************/

#ifndef _NSCUSBIOCTL_H__
#define _NSCUSBIOCTL_H__

#define NSC_USBIOCTL_INDEX             0x0840

#define IOCTL_ENABLE_REMOTEWAKEUP      CTL_CODE(FILE_DEVICE_USB_SCAN,\
                                                 NSC_USBIOCTL_INDEX,  \
                                                 METHOD_BUFFERED, \
                                                 FILE_ANY_ACCESS)

#define IOCTL_DISABLE_REMOTEWAKEUP     CTL_CODE(FILE_DEVICE_USB_SCAN,\
                                                 NSC_USBIOCTL_INDEX+1,  \
                                                 METHOD_BUFFERED, \
                                                 FILE_ANY_ACCESS)

#endif // _NSCUSBIOCTL_H__

