/*****************************************************************************
M+
    Copyright (c) 1998 by National Semiconductor 
        All Rights Reserved.

M- 
*****************************************************************************/
//C+    CDriver
class   CDriver 
{
public:
	BOOL	InitDriver(void);									//Init driver 
	BOOL	CloseDriver(void);

	BOOL	RegIn(UCHAR Addr,UCHAR *pValue, UINT Len);
	BOOL	RegOut(UCHAR Addr,UCHAR *pValue, UINT Len);

	BOOL	BulkIn(UCHAR Addr,UCHAR *pBuffer, UINT Len, bool bIncrement);
	BOOL	BulkOut(UCHAR Addr,UCHAR *pBuffer,UINT Len, bool bIncrement);

	BOOL	Reset();

	BOOL	CheckForEvents(bool& bEventOccured, GUID& guidEventCode);
	BOOL	EnableNotifications();
	BOOL	DisableNotifications();

    BOOL    EnableRemoteWakeup();
    BOOL    DisableRemoteWakeup();

    BOOL	QueryStatus(LPDWORD dwOnlineState, LPDWORD dwEventState);

	CDriver();			
    virtual ~CDriver();
};
