/*******************************************************************************
FILE        : Twain_OperationTriplets.h
REVISION    : 1.0
DATE        : 9/12/99

DESCRIPTION :

Contains the function prototypes of the operation triplet handlers

Copyright (c) 1999 - National Semiconductor Ltd - All rights reserved
*******************************************************************************/
TW_UINT16	Dispatch (PTWMSG pDcMsg, PMAPPER pMapper, TW_UINT16 DAT);
TW_UINT16	IdentityMsg (PTWMSG pDcMsg);
TW_UINT16	InterfaceMsg (PTWMSG pDcMsg);
TW_UINT16	ControlMsg (PTWMSG pDcMsg);
TW_UINT16	CapabilityMsg (PTWMSG pDcMsg);
TW_UINT16	StatusMsg (PTWMSG pDcMsg);
TW_UINT16	PendingXferMsg (PTWMSG pDcMsg);
TW_UINT16	SetupXferMechMsg (PTWMSG pDcMsg);
TW_UINT16	SetupMemXferMsg (PTWMSG pDcMsg);
TW_UINT16	SetupFileXferMsg (PTWMSG pDcMsg);
TW_UINT16	SetupNativeXferMsg (PTWMSG pDcMsg);
TW_UINT16	XferGroupMsg (PTWMSG pDcMsg);
TW_UINT16	ImageInfoMsg (PTWMSG pDcMsg);
TW_UINT16	ImageLayoutMsg (PTWMSG pDcMsg);
TW_UINT16	ImageMemXferMsg (PTWMSG pDcMsg);
TW_UINT16	ImageNativeXferMsg (PTWMSG pDcMsg);

TW_UINT16	EnableDS (pTW_USERINTERFACE pUI);
TW_UINT16	DisableDS (pTW_USERINTERFACE pUI);
TW_UINT16	OpenDS (PTWMSG pDcMsg);
TW_UINT16	CloseDS (VOID);

VOID        NotifyXferReady (VOID);
VOID        NotifyCloseDSReq (VOID);

BOOL        SetDefaultLayout(pTW_IMAGELAYOUT currentLayout);
TW_UINT16   GetImageLayout(pTW_IMAGELAYOUT currentLayout, PTWMSG pTWMsg);
TW_UINT16   SetImageLayout(pTW_IMAGELAYOUT currentLayout, PTWMSG pTWMsg);
